<?

  // zobrazeni tabulky, vychozi akce
if (!$akce) {
  echo '
 <h2>Administrace prvků dohledového systému</h2>
 <table border="0" cellspacing="1" bgcolor="#000000" class="tabulka">
    <tr bgcolor="#FFFFAA">
      <strong>
        <td><strong>#</strong></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=name"><strong>Název prvku</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=erc"><strong>Stav</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=enable"><strong>Aktivní</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=cntip"><strong>IP Test</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=cntreset"><strong>Reset</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&order=cntemail"><strong>Email</strong></a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>';
  if (!$order) $order='name';
  $radek=1;
  $vysledek= pg_query("
   SELECT id, name, erc, CASE WHEN enable=true THEN 'ano' ELSE 'vypnuto' END AS entext,
    (SELECT count(*) FROM node_ip WHERE node_ip.id=node.id) AS cntip,
    (SELECT count(*) FROM node_reset WHERE node_reset.id=node.id) AS cntreset,
    (SELECT count(*) FROM node_email WHERE node_email.id=node.id) AS cntemail
   FROM node 
   ORDER BY $order");
  while ($zaznam=Pg_Fetch_Array($vysledek)) {
  $color='#FF0000';
  if ($zaznam[erc]<=8) $color='#FFAA00';
  if ($zaznam[erc]<=2) $color='#00FF00';
  echo '
    <tr bgcolor="'.MakeBgcolor($radek).'" valign="top">
        <td>'.$radek++.'</td>
        <td><a href="./index.php?pg=nodes.inc#'.$zaznam[id].'">'.$zaznam[name].'</a></td>
        <td bgcolor="'.$color.'">'.$zaznam[erc].'</td>
        <td>'.$zaznam[entext].'</td>
        <td>'.anone($zaznam[cntip]).'&nbsp;&nbsp;<a href="./index.php?pg=nodes_test.inc&id='.$zaznam[id].'"><img src="./pics/sipkaedit.gif" border="0"></a></td>
        <td>'.anone($zaznam[cntreset]).'&nbsp;&nbsp;<a href="./index.php?pg=nodes_reset.inc&id='.$zaznam[id].'"><img src="./pics/sipkaedit.gif" border="0"></td>
        <td>'.anone($zaznam[cntemail]).'&nbsp;&nbsp;<a href="./index.php?pg=nodes_email.inc&id='.$zaznam[id].'"><img src="./pics/sipkaedit.gif" border="0"></td>
        <td><a href="./index.php?pg=nodes_admin.inc&akce=edit&id='.$zaznam[id].'">upravit</a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&akce=delete&id='.$zaznam[id].'">smazat</a></td>
    </tr>';
 }
 echo ' 
 </table>
 <p><a href="./index.php?pg=nodes_admin.inc&akce=edit">Vložit nový prvek</a></p>
 ';
}


 // editace existujiciho nebo noveho zaznamu 
if($akce=='edit') {
   // budeme editovat existujici zaznam?
  if(is_numeric($id)) {
      $vysledek= pg_query("SELECT *, CASE WHEN enable=true THEN 'checked' END AS cenable
                           FROM node WHERE id=$id");
      $zaznam=Pg_Fetch_Array($vysledek);
      $navakce='update';
  } else $navakce='insert';
echo '
<h2>Editace prvku dohledového systému</h2>
<form action="./index.php?pg=nodes_admin.inc&akce='.$navakce.'" method="post">
  <input type="hidden" name="id" value="'.$zaznam[id].'"></p>
  <p>Název prvku<br>
  <input type="text" size="20" name="name" class="formnotnull" value="'.$zaznam[name].'"></p>
  <p>Předchůdce<br>
  <select name="idp" size="1" class="formnotnull">'.MakeNodesList($zaznam[idp],$id).'</select></p>
  <p>Povolit kontrolu prvku a celé následující větve<br>
  <input type="checkbox" name="enable" class="formular" '.$zaznam[cenable].'></p>
  <p>Popis prvku<br>
  <textarea name="desc" rows="4" cols="43" class="formular">'.$zaznam[desc].'</textarea></p>
  <p>Login<br>
  <input type="text" size="20" name="p_login" class="formular" value="'.$zaznam[p_login].'"></p>
  <p>Heslo<br>
  <input type="text" size="20" name="p_pass" class="formular" value="'.$zaznam[p_pass].'"></p>
  <p>Kanál<br>
  <input type="text" size="20" name="p_kanal" class="formular" value="'.$zaznam[p_kanal].'"></p>
  <p><input type="submit" value="Vložit" class="tlacitko"></p>

</form>';
}


 // ulozeni
if($akce=='update') {
  $enable=on2true($enable);
  @pg_query("UPDATE node SET idp=$idp, 
		            name='$name',
			    \"desc\"='$desc',
			    p_login='$p_login',
			    p_pass='$p_pass',
			    p_kanal='$p_kanal',
			    enable=$enable,
			    update=now()
	                WHERE id=$id") or $err=true;
 echo '<h2>Aplikace změn v nastavení prvku</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Změna byla provedena... <a href="./index.php?pg=nodes_admin.inc">pokračovat zde</a></p>';
}


 // vlozeni
if($akce=='insert') {
  $enable=on2true($enable);
  @pg_query("INSERT INTO node(idp, name, \"desc\", p_login, p_pass, p_kanal, enable) 
            VALUES($idp, '$name', '$desc', '$p_login', '$p_pass','$p_kanal',$enable)") or $err=true;
 echo '<h2>Vložení nového prvku</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Vložení bylo provedeno... <a href="./index.php?pg=nodes_admin.inc">pokračovat zde</a></p>';
}


 // smazani
if($akce=='delete') {
 @pg_query("DELETE FROM node WHERE id=$id") or $err=true;
 echo '<h2>Vymazání prvku</h2>';
 if ($err) echo '<p>Nastala chyba...  </p>';
 else echo '<p>Prvek byl smazán a větev následných prvků odpojena !!! ...  
 <a href="./index.php?pg=nodes_admin.inc">pokračovat zde</a></p>';
}


?>


